%---------------------------------------
%   ExtractDefaultData_S_Module
%---------------------------------------
%   This module assigns the default profiles
%   Index of the default country is searched for and then the appropriate
%   profiles assigned

country_names = char(Pcountries); 
% search for the index of the default country (ind_default)
for i=1:size(Pcountries,1)
    if upper(default_country(1:4))==upper(country_names(i,1:4))   % use first 4 letters if that's enough to disambiguate NTA countries
        ind_default = i;
        break
    end
end

[ll_default, expec_default, ll_f_default, popul_default, c_prof_default,...
        yl_prof_default, tgi_prof_default, tgo_prof_default, ASFR_5_default, Bm2Bf_default]= ...
    grabData(ind_default, small_l, lifeExpectancy, small_l_f, population, consumption,...
    laborIncome, transferInflows, transferOutflows, fertility, BirthRatio);


