function Print_Table_headers(fid) 
%   This function prints the headers for the two resulting tables
%   in the Science paper:
%       Table 1
%       Table Fiscal
%   Slight formatting and region averages need to be added based on these
%   results (done in the resulting Excel file)


column_names_table_1 = ['Income group                                              ';
                        'Country                                                   ';
                        'Year                                                      ';
                        'Total fertility rate 2005-10                              ';
                        'TFR that maximizes Fiscal support ratio                   ';
                        'TFR that maximizes Support ratio                          ';
                        'TFR that maximizes Consumption, low capital cost scenario ';
                        'TFR that maximizes Consumption, high capital cost scenario';];
for i = 1:size(column_names_table_1,1)
    fprintf(fid(1), [column_names_table_1(i,:) ' \t']);
end
fprintf(fid(1), ' \n');

column_names_table_SRG = [  'Income group                              ';
                            'Country                                   ';
                            'Year                                      ';
                            'Total fertility rate 2005-10              ';
                            'Replacement TFR                           ';
                            'TFR that maximizes Fiscal support ratio   ';
                            'Stable Fiscal support ratio given TFR 2005-10    ';
                            'Fiscal support ratio given replacement TFR';
                            'Maximal Fiscal support ratio              ';];
for i = 1:size(column_names_table_SRG,1)
    fprintf(fid(2), [column_names_table_SRG(i,:) ' \t']);
end
fprintf(fid(2), ' \n');
        

column_names_table_3 = ['Income group                                              ';
                        'Country                                                   ';
                        'Year                                                      ';
                        'Total fertility rate 2005-10                              ';
                        'TFR that maximizes Support ratio                          ';
                        'TFR that maximizes Consumption, low capital cost scenario ';
                        'TFR that maximizes Consumption, high capital cost scenario';
                        'Maximal Support ratio                                     ';
                        'Support ratio that maximizes Consumption, lo cap cost scen';
                        'Support ratio that maximizes Consumption, hi cap cost scen';
                        ];
for i = 1:size(column_names_table_3,1)
    fprintf(fid(3), [column_names_table_3(i,:) ' \t']);
end
fprintf(fid(3), ' \n');