function [Ro_opt, TFR_opt, SR_opt, Nage_up_opt] = CalcOptimumFertil(rho_max, mu_act, Ro_act, TFR_act, ageUp, L, num_prof, den_prof);


Ro_opt = exp(rho_max*mu_act);
alpha = Ro_opt/Ro_act;
TFR_opt = TFR_act*alpha;
SR_opt = SS_SR(L, num_prof, den_prof, rho_max);
Nage_up_opt = N_age_plus(L,ageUp,rho_max);
    