function [promenljiva, allDataFound] = extractUN_DataS(countriesCalc, countriesDB, DBavailable, tipPod);
%---
% for each country in the set "countriesCalc"
%   check each country in the set "countriesDB" tille match is found
%       is the number of letters same?
%           is the name the same
%               assign values to the next row of output variable/matrix "promenljiva"
%               break; start search for another country in "countriesCalc" (top)          
%           end
%   end -> check next country in countriesDB
%   if country not found
%      print comment
%   end
% end -> check new country from countriesCalc

Ncountries = size(countriesCalc,1);
Nasfr = size(DBavailable,1);
NagesAsfr = size(DBavailable,2);
promenljiva = zeros(Ncountries,NagesAsfr);
allDataFound = 0;
for coun = 1:Ncountries
    found = 0;
    NTAcount = char(countriesCalc(coun));
    for counListed = 1:Nasfr
        ASFRcount = char(countriesDB(counListed));
        if numel(NTAcount)==numel(ASFRcount)
            if NTAcount==ASFRcount
                promenljiva(coun,1:NagesAsfr)=DBavailable(counListed,1:NagesAsfr);
                found= 1;
                break
            end
        end
    end
    if (found==0)
        display(['Could not find ' tipPod ' data for ' NTAcount '\n'])
    end
    allDataFound = allDataFound + found;
end
