function [n_star, Ac, Ayl, growths] = star(rho_run, Ac_vector, Ayl_vector, izraz_vector_max);
         
%   This function calculates the optimum value of growth 
%   as well as the mean ages of consumption and labor income
[N, indices] = nuleVektora(izraz_vector_max);

if N > 0 
    growths = rho_run(indices);
    Ac = Ac_vector(indices(end)); 
    Ayl = Ayl_vector(indices(end));
else 
    growths = NaN;
    Ac=0; Ayl=0;
end
n_star = growths(end);